import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MemberModule } from 'packages/member/member.module';

import { AuthPageComponent } from './auth-page.component';
import { AuthPageRoutingModule } from './auth-page-routing.module';

import { SigninPageComponent } from './signin/signin-page.component';
import { SignupPageComponent } from './signup/signup-page.component';
import { ResetPasswordPageComponent } from './reset-password/reset-password-page.component';
import {ModifyPasswordPageComponent} from './reset-password/modify-password-page.component';

export const COMPONENTS = [
  AuthPageComponent,
  SigninPageComponent,
  SignupPageComponent,
  ResetPasswordPageComponent,
  ModifyPasswordPageComponent,
];

@NgModule({
  imports: [
    CommonModule,
    AuthPageRoutingModule,
    MemberModule,
  ],
  declarations: COMPONENTS,
})
export class AuthPageModule { }
