import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { TargetPageComponent } from 'app/pages/target/target-page.component';
import { DetailComponent as TargetDetailComponent } from 'packages/target/component/detail/detail.component';

const routes: Routes = [
  {
    path: '',
    component: TargetPageComponent,
    children: [
      { path: ':id/info', component: TargetDetailComponent }
    ]
  }
];


@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TargetPageRoutingModule { }
