import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TargetModule } from 'packages/target/target.module';
import { TargetPageRoutingModule } from './target-page-routing.module';
import { TargetPageComponent } from './target-page.component';
import { PrimeNGModules } from 'packages/commons/prime-ng/prime-ng.module';
import { TabbarModule } from '../../commons/component/layout/tabbar/app.tabbar.module';

@NgModule({
  imports: [
    CommonModule,
    TargetPageRoutingModule,
    TargetModule,
    PrimeNGModules,
    TabbarModule
  ],
  declarations: [
    TargetPageComponent
  ]
})
export class TargetPageModule { }
