import { RESTClientError } from '@loafer/ng-rest/protocol';

import { Member } from '@overflow/commons-typescript/model/member';

export interface State {
  error: RESTClientError | null;
  pending: boolean;
  member: Member | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  member: null,
};
