import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { NoAuthProbe } from '@overflow/commons-typescript/model/noauth';

export interface State {
  error: RPCClientError | null;
  pending: boolean;
  noAuthProbes: NoAuthProbe[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  noAuthProbes: null,
};
