import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { Notification } from '@overflow/commons-typescript/model/notification';

export interface State {
  error: RPCClientError | null;
  pending: boolean;
  notification: Notification;
}

export const initialState: State = {
  error: null,
  pending: false,
  notification: null,
};
