import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { Probe } from '@overflow/commons-typescript/model/probe';

export interface State {
  error: RPCClientError | null;
  isPending: boolean;
  probes: Probe[] | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  probes: null,
};
