import { NgModule } from '@angular/core';
import { LoggerModule } from '@loafer/ng-logger';
import { LoggerLevel } from '@loafer/ng-logger/core';

@NgModule({
  exports: [
    LoggerModule,
  ],
  imports: [
    LoggerModule.forRoot({
      config: {
        level: LoggerLevel.DEBUG,
      },
    }),
  ],
  providers: [
  ]
})
export class AppLoggerModule { }
