import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { MetaCrawler } from '@overflow/commons-typescript/model/meta';


export interface State {
  error: RPCClientError | null;
  pending: boolean;
  metaCrawlerList: MetaCrawler[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  metaCrawlerList: null,
};
