import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCService } from '@loafer/ng-rpc/service';
import { MetaCrawler } from '@overflow/commons-typescript/model/meta';
import { MetaSensorDisplayItem } from '@overflow/commons-typescript/model/meta';


@Injectable()
export class MetaSensorDisplayItemService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByMetaCrawler(c: MetaCrawler): Observable<MetaSensorDisplayItem[]> {
    return this.rpcService.call('MetaSensorDisplayItemService.readAllByCrawler', c);
  }
}
