import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { MetaSensorItemKey } from '@overflow/commons-typescript/model/meta';


export interface State {
  error: RPCClientError | null;
  pending: boolean;
  list: MetaSensorItemKey[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  list: null,
};
